:root {
  --yl-dark-green: #004742;
  --yl-main-green: #005553;
  --yl-light-green: #418983;
  --yl-lightest-green: #a3cfb0;
  --yl-cream-green: #d2e995;
  --yw-green: #cada35;
  --drop-shadow: drop-shadow(20px 20px black);
  --yl-border: 2px solid black;
  font-size: 16px;
  scroll-behavior: smooth;
}

.yl-page {
  margin: 0;
  overflow-x: hidden;
}

/* Typography */
.yl h1,
.yl h2,
.yl h3,
.yl h4,
.yl h5,
.yl p,
.yl a {
  font-family: Montserrat, sans-serif;
  margin: 0;
}
.yl p {
  font-size: 16px;
}

.black {
  color: black;
}
.white {
  color: white;
}
.green {
  color: var(--yw-green);
}

.bold {
  font-weight: 900 !important;
}
.uppercase {
  text-transform: uppercase;
}
.italic {
  font-style: italic;
}
.title-contact {
  font-size: 24px;
  font-weight: 600;
  padding-bottom: 10px;
}
.title-contact span {
  white-space: nowrap;
}

.yl-h1 {
  font-size: 120px;
  line-height: 85px;
  text-transform: uppercase;
  font-weight: 900;
}
.yl-h2 {
  font-size: 70px;
  line-height: 70px;
  text-transform: uppercase;
  font-weight: 900;
}
.yl-h3 {
  font-size: 60px;
  line-height: 60px;
  text-transform: uppercase;
  font-weight: 400;
}
.yl-h4 {
  font-size: 45px;
  line-height: 45px;
  text-transform: uppercase;
  font-weight: 700;
}
.yl-h5 {
  font-size: 24px;
  text-transform: uppercase;
  font-weight: 600;
}

.section-blurb p {
  margin-bottom: 10px !important;
}

.section-blurb h2 {
  margin-bottom: 30px !important;
}

.section-blurb {
  padding-bottom: 50px;
}


.winner-of {
  font-size: 20px;
  text-transform: uppercase;
  font-weight: 500;
}

.winner-title {
  font-weight: 900;
  text-transform: uppercase;
  font-size: 46px;
  line-height: 40px;
}

.yl-wrapper {
  max-width: 1200px;
  padding: 0 30px;
  margin: 0 auto;
  /* overflow-x: hidden; */
}

/* .yl-title-wrapper {
  margin: 0 auto;
  text-align: center;
} */

.yl-hero {
  background-color: var(--yl-main-green);
  min-height: 100vh;
  width: 100vw;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  overflow: hidden;
  position: relative;
}

.yl-logo-container {
  max-width: 90%;
  z-index: 2;
}

.yl-logo {
  fill: white;
  height: 200px;
  max-height: 100%;
  max-width: 100%;
  margin: auto;
}

/* Buttons */
.yl-button,
.yl-btn-wrapper a {
  display: inline-block;
  padding: 20px 55px;
  margin: 0;
  box-sizing: border-box;
}

.yl-button {
  background-color: var(--yw-green);
  color: black;
  text-transform: uppercase;
  border: var(--yl-border);
  border-radius: 6px;
  /* height: 60px; */
  cursor: pointer;
  font-family: Montserrat, sans-serif;
  font-weight: 600;
  line-height: 16px;
  font-size: 16px;
  transition: background-color 0.2s ease-in-out;
  z-index: 10;
  text-decoration: none;
}

.yl-button:hover {
  background-color: var(--yl-dark-green);
  color: var(--yw-green);
}

.yl-button.yl-explore-btn {
  position: absolute;
  bottom: 80px;
}

.yl-btn-wrapper {
  margin-top: 150px;
}

/* Blobs */
.yl-blob {
  position: absolute;
  z-index: 1;
}

#yl-shape-1 {
  fill: var(--yl-light-green);
  height: 400px;
  left: -50px;
  top: -80px;
}

#yl-shape-2 {
  fill: var(--yl-dark-green);
  height: 360px;
  top: -260px;
}
#yl-shape-3 {
  fill: var(--yl-lightest-green);
  height: 550px;
  top: -175px;
  right: -320px;
}

#yl-shape-4 {
  fill: var(--yl-dark-green);
  height: 460px;
  position: absolute;
  top: 50%;
  left: 50%;
  margin-top: -230px; /* Half of the height */
  margin-left: -230px; /* Half of the width */
}
#yl-shape-5 {
  fill: var(--yl-dark-green);
  height: 730px;
  bottom: -360px;
  left: -170px;
}
#yl-shape-6 {
  fill: var(--yl-lightest-green);
  height: 70px;
  bottom: 170px;
  left: 220px;
}
#yl-shape-7 {
  fill: var(--yl-light-green);
  height: 70px;
  bottom: 60px;
  right: 260px;
}
#yl-shape-8 {
  fill: var(--yl-light-green);
  height: 500px;
  bottom: -170px;
  right: -100px;
}
#yl-shape-9 {
  fill: var(--yl-dark-green);
  height: 560px;
  bottom: -10px;
  left: -220px;
  z-index: 0;
}
#yl-shape-10 {
  fill: var(--yl-lightest-green);
  height: 80px;
  bottom: 370px;
  left: 260px;
}
#yl-shape-11 {
  fill: var(--yl-light-green);
  height: 500px;
  top: -100px;
  right: 180px;
}
#yl-shape-12 {
  fill: var(--yl-dark-green);
  height: 800px;
  top: 110px;
  right: -580px;
  z-index: 0;
}

/* REWARDING LOYALTY SECTION */

.rewarding-loyalty {
  padding: 60px 0 30px 0;
  background-color: var(--yl-main-green);
  text-align: center;
}

.reward-icon {
  max-width: 70px;
  padding: 30px 0;
  margin: 0 auto;
}
.rewarding-loyalty .yl-h4 {
  padding-bottom: 10px;
}
/* MILESTONE REWARDS */

.milestone-rewards {
  background-color: var(--yl-light-green);
  padding: 50px 0 30px 0;
  text-align: center;
}
.milestone-rewards .yl-h4 {
  padding-bottom: 10px;
}

.milestone:last-of-type {
  padding-bottom: 65px;
}
.milestone {
  padding-bottom: 40px;
}

/* RANDOM ACTS OF KINDNESS  */

.raok {
  background-color: var(--yl-dark-green);
  text-align: center;
  padding: 80px 0;
}

.raok-blurb {
  padding: 35px 0 50px;
}

.video-wrapper {
  margin: 0 auto;
  max-width: 800px;
  padding-bottom: 70px;
}
.video-container {
  position: relative;
  width: 100%;
  padding-bottom: 56.25%;
}

.video-container iframe {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.raok-statement {
  padding-top: 10px;
  text-transform: uppercase;
  font-size: 28px;
  font-weight: 600;
  max-width: 900px;
  margin: 0 auto !important;
}

/* MONTHLY PRIZE DRAW */

.prize-draw {
  background-color: var(--yl-main-green);
  padding: 50px 0 30px 0;
  text-align: center;
}

.yl-grid2 {
  display: grid;
  grid-template-columns: 1fr 1fr;
  gap: 60px;
  padding: 60px 0;
}

.prize-draw .yl-h4 {
  padding-bottom: 15px;
}
.prize-draw .yl-h3 {
  padding-bottom: 35px;
}

.yl-winners {
  padding: 50px 0;
  background-color: var(--yl-cream-green);
  text-align: center;
}

.yl-winners h3 {
  padding-bottom: 20px;
}

.prize-draw-explainer {
 padding-bottom: 40px;  
}
.prize-draw-explainer p{
 padding-bottom: 10px;  
}

/* Carousel */
.swiper-slide {
  background-size: cover;
  background-position: center;
  margin: 0 auto;
  height: 300px;
  width: 300px;
  border: var(--yl-border);
  filter: var(--drop-shadow);
}
/* .splide__track {
  padding-bottom: 30px;
} */
.splide__slide {
  margin: auto !important;
  padding-bottom: 30px;
}
/* .splide__slide {
  margin-left: 10px!important;
  padding-bottom: 30px;
} */

.splide {
  padding: 60px;
}

.splide__arrow {
  background: none !important;
}

.yl-grid3 {
  display: grid;
  grid-template-columns: 1fr 1fr 1fr;
  gap: 60px;
  padding: 60px 0;
}

.column {
  align-items: center;
  margin: 0 auto;
}
.column-text {
  padding-top: 50px;
  text-align: center;
}

.yl-winner-image-card {
  height: 350px;
  width: 350px;
  border: var(--yl-border);
}

.winner-photo-wrapper {
  position: relative;
}
.winner-star {
  position: absolute;
  height: 50px;
  width: 50px;
  left: -24px;
  top: 20%;
  z-index: 10;
}

.winner-exclamation {
  position: absolute;
  height: 50px;
  width: 50px;
  left: -24px;
  top: -25px;
  z-index: 10;
}

/* TESTIMONIAL SECTION */

.testimonials {
  text-align: center;
  background-color: var(--yl-dark-green);
  padding: 50px 0;
}

.testimonial {
  font-size: 30px;
  padding: 0 10px 25px 10px;
  line-height: 55px;
}

.testimonial-wrapper {
  text-align: center;
  margin: 0 auto;
}

.testimonials .splide {
  padding: 40px 60px;
}

/* REGISTER SECTION */

.yl-reg {
  background-color: var(--yl-main-green);
  padding: 100px 0 200px 0;
  position: relative;
  overflow: hidden;
}
.yl-reg-wrapper {
  max-width: 550px;
  margin: auto;
  position: relative;
  z-index: 6;
  padding: 20px;
}
.yl-reg-card {
  filter: var(--drop-shadow);
  background-color: var(--yl-cream-green);
  border: var(--yl-border);
  text-align: center;
  margin-left: -10px;
}
.yl-card-wrapper {
  padding: 20px;
}
.reg-main {
  padding: 100px 20px 50px 20px;
}

.reg-main h1 {
  padding-bottom: 60px;
}

.reg-contact {
  padding: 10px;
  background-color: var(--yl-main-green);
  border-top: var(--yl-border);
}
.reg-contact .title-contact {
  padding-bottom: 0;
}

.yl-contact {
  text-decoration: none;
  transition: background-color 0.2s ease-in-out;
}

.yl-contact:hover {
  background-color: var(--yl-light-green);
}

.contact-details {
  background-color: var(--yl-dark-green);
  border: var(--yl-border);
  margin: -2px;
  display: grid;
  grid-template-columns: 1fr 1fr;
}

.call-us,
.email-us {
  border: 1px solid black;
  margin: -1px;
  padding: 20px;
}

.win-sign {
  background-color: black;
  color: white;
  position: absolute;
  padding: 20px;
  left: -80px;
  top: 40px;
  z-index: 5;
  font-style: italic;
  text-transform: uppercase;
  font-weight: 500;
}

.win-sign::after {
  content: "";
  display: inline-block;
  width: 0;
  height: 0;
  border-style: solid;
  border-width: 15px 0 15px 15px;
  border-color: black transparent transparent transparent;
  position: absolute;
  top: 100%;
  right: 10%;
  margin-top: -1px;
}

/* Responsive  */

@media screen and (min-width: 2050px) {
  #yl-shape-9 {
    height: 650px;
  }
  #yl-shape-10 {
    height: 100px;
    bottom: 370px;
    left: 360px;
    z-index: 23;
  }
  #yl-shape-11 {
    height: 800px;
    top: -200px;
    right: 50%;
  }
  #yl-shape-12 {
    height: 1200px;
    top: 110px;
    right: -580px;
  }
}

@media screen and (min-width: 1500px) {
  #yl-shape-1 {
    height: 600px;
    left: -100px;
    top: -120px;
  }
  #yl-shape-2 {
    height: 600px;
    top: -350px;
  }
  #yl-shape-3 {
    height: 750px;
    top: -190px;
    right: -400px;
  }
  #yl-shape-4 {
    height: 600px;
    margin-top: -300px; /* Half of the height */
    margin-left: -300px; /* Half of the width */
  }
  #yl-shape-5 {
    height: 950px;
    bottom: -460px;
    left: -200px;
  }
  #yl-shape-6 {
    height: 100px;
    bottom: 250px;
    left: 300px;
  }
  #yl-shape-7 {
    height: 100px;
    bottom: 90px;
    right: 300px;
  }
  #yl-shape-8 {
    height: 600px;
    bottom: -200px;
    right: -150px;
  }
}

@media screen and (max-width: 1024px) {
  .yl-h1 {
    font-size: 80px;
    line-height: 70px;
  }
  .yl-h2 {
    font-size: 60px;
    line-height: 65px;
  }
  .yl-h3 {
    font-size: 50px;
    line-height: 55px;
  }
  .yl-h4 {
    font-size: 35px;
    line-height: 40px;
  }
  .yl-h5 {
    font-size: 24px;
    line-height: 29px;
  }
  .testimonial {
    font-size: 26px;
    line-height: 35px;
  }
  .yl-grid3 {
    gap: 35px;
  }
  .reg-main {
    padding: 60px 20px 50px 20px;
  }
  .reg-main h1 {
    padding-bottom: 40px;
  }
  #yl-shape-10 {
    left: revert;
    right: 15px;
    z-index: 2;
  }
  #yl-shape-9 {
    fill: var(--yl-lightest-green);
  }
}

@media screen and (max-width: 768px) {
  .yl-wrapper {
    padding: 0 15px;
  }
  .yl-grid2 {
    gap: 40px;
  }
  .yl-grid3 {
    gap: 40px;
    grid-template-columns: 1fr;
    padding: 40px 0 20px 0;
  }
  .reward-icon {
    padding: 20px 0;
  }
  .testimonial {
    font-size: 20px;
    line-height: 25px;
  }
  .win-sign {
    top: -10px;
    left: 50%;
  }
}

@media screen and (max-width: 600px) {
  .yl-grid2 {
    grid-template-columns: 1fr;
  }
  .milestone {
    padding-bottom: 45px;
  }

  .milestone-rewards .yl-h4 {
    padding-bottom: 5px;
  }
}

@media screen and (max-width: 550px) {
  .yl-h1 {
    font-size: 50px;
    line-height: 55px;
  }
  .yl-h2 {
    font-size: 40px;
    line-height: 45px;
  }
  .yl-h3 {
    font-size: 32px;
    line-height: 37px;
  }
  .yl-h4 {
    font-size: 25px;
    line-height: 30px;
  }
  .yl-h5 {
    font-size: 20px5px;
  }
  .yl-reg-wrapper {
    max-width: 380px;
  }
  .contact-details {
    grid-template-columns: 1fr;
  }
  .win-sign {
    top: -10px;
    left: 20%;
  }
  .testimonial {
    font-size: 18px;
    line-height: 22px;
  }
  .testimonials .splide {
    padding: 0 25px 40px 25px;
  }
  .splide__arrow--prev {
    left: 0px !important;
  }
  .splide__arrow--next {
    right: 0px !important;
  }
  #yl-shape-1 {
    height: 320px;
    left: -139px;
    top: -35px;
  }
  #yl-shape-3 {
    height: 500px;
    top: -169px;
    right: -420px;
  }
  #yl-shape-4 {
    height: 300px;
    margin-top: -150px; /* Half of the height */
    margin-left: -150px; /* Half of the width */
  }
  #yl-shape-10 {
    height: 45px;
  }
  #yl-shape-11 {
    right: 0%;
  }
  #yl-shape-12 {
    height: 450px;
    top: 543px;
    right: -386px;
  }
}

@media screen and (max-width: 500px) {
  .yl-winners .swiper-slide {
    height: 250px;
    width: 250px;
  }
  .yl-winners .splide {
    padding: 40px 30px 60px 30px;
  }
  .yl-winners .splide__slide {
    padding-bottom: 30px;
  }
  .raok-statement {
    font-size: 20px;
  }
}

@media screen and (max-width: 425px) {
  .yl-winners .swiper-slide {
    height: 200px;
    width: 200px;
  }
}
@media screen and (max-width: 375px) {
  .yl-winners .splide__slide {
    margin: 0 0 0 -10px !important;
  }
  .yl-winners .splide {
    padding: 40px 20px 60px 20px;
  }
}

.yl-page .navbar-light .navbar-nav .nav-link, .yl-page .nav_search button{
  color: #fff !important;
}
.yl-page .navbar-light.box-hover .navbar-nav .nav-link, .yl-page .navbar-light.box-hover .nav_search button{
  color:#4c5460 !important;
}
.yl-page .header_main nav:hover.navbar-light .navbar-nav .nav-link, .yl-page .header_main nav:hover.navbar-light .nav_search button{
  color:#4c5460 !important;
}